import { Center, Box, VStack, Button, HStack, Text, Image, ScrollView, Heading, Spinner } from "native-base"
import React from "react"


interface LoadingBoxProps {
    text: string
}

const LoadingBox = (props: LoadingBoxProps) => {
    const { text } = props;

    return (
        <HStack alignItems="center" flex="1" justifyContent="center">
            <Spinner/>
            <Heading color="primary.400" fontSize="md">
                {text}
            </Heading>
        </HStack>
    );
}


export default LoadingBox